Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.cvslib
Class CvsTagDiff

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.AbstractCvsTask
                  org.apache.tools.ant.taskdefs.cvslib.CvsTagDiff

public class CvsTagDiff
extends AbstractCvsTask

Examines the output of cvs rdiff between two tags. It produces an XML output representing the list of changes.

     <!-- Root element -->
     <!ELEMENT tagdiff ( entry+ ) >
     <!-- Start tag of the report -->
     <!ATTLIST tagdiff startTag NMTOKEN #IMPLIED >
     <!-- End tag of the report -->
     <!ATTLIST tagdiff endTag NMTOKEN #IMPLIED >
     <!-- Start date of the report -->
     <!ATTLIST tagdiff startDate NMTOKEN #IMPLIED >
     <!-- End date of the report -->
     <!ATTLIST tagdiff endDate NMTOKEN #IMPLIED >

     <!-- CVS tag entry -->
     <!ELEMENT entry ( file ) >
     <!-- File added, changed or removed -->
     <!ELEMENT file ( name, revision?, prevrevision? ) >
     <!-- Name of the file -->
     <!ELEMENT name ( #PCDATA ) >
     <!-- Revision number -->
     <!ELEMENT revision ( #PCDATA ) >
     <!-- Previous revision number -->
     <!ELEMENT prevrevision ( #PCDATA ) >

Since:
  Ant 1.5
Version:
  $Revision: 1.6.2.5 $ $Date: 2003/02/10 14:24:56 $
Author:
  Frederic Lavigne, Rob van Oostrum

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask
`DEFAULT_COMPRESSION_LEVEL`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CvsTagDiff()`

Method Summary
`void` | `execute()` Execute task.
`void` | `setDestFile(java.io.File f)` Set the output file for the diff.
`void` | `setEndDate(java.lang.String s)` Set the end date.
`void` | `setEndTag(java.lang.String s)` Set the end tag.
`void` | `setPackage(java.lang.String p)` The package/module to analyze.
`void` | `setStartDate(java.lang.String s)` Set the start date.
`void` | `setStartTag(java.lang.String s)` Set the start tag.

Methods inherited from class org.apache.tools.ant.taskdefs.AbstractCvsTask
`addCommandArgument, addCommandArgument, addConfiguredCommandline, addConfiguredCommandline, configureCommandline, getCommand, getCvsRoot, getCvsRsh, getDest, getErrorStream, getExecuteStreamHandler, getOutputStream, getPackage, getPassFile, getPort, removeCommandline, runCommand, setAppend, setCommand, setCompression, setCompressionLevel, setCvsRoot, setCvsRsh, setDate, setDest, setError, setErrorStream, setExecuteStreamHandler, setFailOnError, setNoexec, setOutput, setOutputStream, setPassfile, setPort, setQuiet, setTag`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CvsTagDiff

    public CvsTagDiff()

Method Detail

### setPackage

    public void setPackage(java.lang.String p)

  The package/module to analyze.

  Overrides:
    `setPackage` in class `AbstractCvsTask`
  Parameters:
    `p` -

### setStartTag

    public void setStartTag(java.lang.String s)

  Set the start tag.

  Parameters:
    `s` - the start tag.

### setStartDate

    public void setStartDate(java.lang.String s)

  Set the start date.

  Parameters:
    `s` - the start date.

### setEndTag

    public void setEndTag(java.lang.String s)

  Set the end tag.

  Parameters:
    `s` - the end tag.

### setEndDate

    public void setEndDate(java.lang.String s)

  Set the end date.

  Parameters:
    `s` - the end date.

### setDestFile

    public void setDestFile(java.io.File f)

  Set the output file for the diff.

  Parameters:
    `f` - the output file for the diff.

### execute

    public void execute()
                 throws BuildException

  Execute task.

  Overrides:
    `execute` in class `AbstractCvsTask`
  Throws:
    `BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.